//
//  PodAPIController.swift
//  MemriDatabase
//
//  Created by T Brennan on 17/12/20.
//

import Foundation
import Alamofire
import Combine

class PodAPIController {
    lazy var decoder: JSONDecoder = {
        let decoder = JSONDecoder()
        decoder.dateDecodingStrategy = .millisecondsSince1970
        return decoder
    }()
}

struct PodAPIConnectionDetails: Codable {
    var scheme: String = "http"
    var host: String = "localhost"
    var port: Int = 3030
    var apiVersion: String = "v2"
    var ownerKey: String = "ownerKeyHere"
    var databaseKey: String = "databaseKeyHere"
}
