//
//  UIConstants.swift
//  memri
//
//  Created by T Brennan on 7/12/20.
//  Copyright © 2020 memri. All rights reserved.
//

import Foundation

enum Constants {
    static let isRunningTests: Bool = {
        ProcessInfo.processInfo.environment["APPS_IS_RUNNING_TEST"] != nil
    }()
    
    static var isSimulator: Bool {
        #if targetEnvironment(simulator)
        return true
        #else
        return false
        #endif
    }

    static var memri_shouldUseLargeScreenLayout: Bool {
        #if targetEnvironment(macCatalyst)
            return true
        #else
            return false
        #endif
    }

}
