This project is a work-in-progress refactor of the iOS application.

Implemented:
- SQLite database schema
- **Dynamic pod schema support** - with initial version of schema based on old demo data
- Import demo database into SQLite
- Setup screen and authentication status
- CVU parsing and expression parsing
- Basic User interface

Missing Features:
- General Editor
- Actions
- Changing variables for renderers in filter panel
- back button long press (and cirlce when you cannot go back)
- views menu when clicking the title
- session switcher
- Edit and Add buttons and functionality
- Settings pane
- Syncing with pod - this requires the pod to also implement the dynamic schema. There will likely be API changes associated with this. For now this version is local-only. The API is in place and has a test-suite (for when pod implemented).
- ENCRYPTION - this will be achieved with SQLCipher (clear documentation on doing this @ https://github.com/groue/GRDB.swift#encryption )

Bugs:
- Search area doesnt animate properly with keyboard showing weird state after anim
- Clicking in the text editor first highlights the title even when clicking on the body
